NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::DrawBeadSegmentBuilder Class Reference

Segment builder for Die Engineering draw bead. More...

Inheritance diagram for NXOpen::Die::DrawBeadSegmentBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MaleBeadWidthTypes { MaleBeadWidthTypesConstant, MaleBeadWidthTypesDerived }
 value for how the male width is specified. More...
 

Public Member Functions

NXOpen::GeometricUtilities::OnPathDimensionBuilderEndLocation ()
 Returns the end location along the centerline for this segment. More...
 
NXOpen::ExpressionFemaleLeftRadius ()
 Returns the expression containing the female left radius value. More...
 
NXOpen::ExpressionFemaleRightRadius ()
 Returns the expression containing the female right radius value. More...
 
bool Flow ()
 Returns the value identifying if the segment is of flow type (the top radius is half the width). More...
 
NXOpen::ExpressionMaleBeadHeight ()
 Returns the expression containing the male bead height value. More...
 
NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes MaleBeadWidthType ()
 Returns the male bead width type. More...
 
NXOpen::ExpressionMaleLeftSheetRadius ()
 Returns the expression containing the male sheet radius value for the "Left" side. More...
 
NXOpen::ExpressionMaleLeftTopRadius ()
 Returns the expression containing the male top radius value for the "Left" side. More...
 
NXOpen::ExpressionMaleLeftWallAngle ()
 Returns the expression containing the male wall angle value for the "Left" side. More...
 
NXOpen::ExpressionMaleLeftWidth ()
 Returns the expression containing the male width value for the "left" side. More...
 
NXOpen::ExpressionMaleRightSheetRadius ()
 Returns the expression containing the male sheet radius value for the "Right" side. More...
 
NXOpen::ExpressionMaleRightTopRadius ()
 Returns the expression containing the male top radius value for the "Right" side. More...
 
NXOpen::ExpressionMaleRightWallAngle ()
 Returns the expression containing the male wall angle value for the "Right" side. More...
 
NXOpen::ExpressionMaleRightWidth ()
 Returns the expression containing the male width value for the "Right" side. More...
 
NXOpen::ExpressionMaleTransitionLength ()
 Returns the expression containing the male transition length value. More...
 
void SetFlow (bool flow)
 Sets the value identifying if the segment is of flow type (the top radius is half the width). More...
 
void SetMaleBeadWidthType (NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes maleBeadWidthType)
 Sets the male bead width type. More...
 
void SetSymmetry (bool symmetry)
 Sets the value identifying that the male width is symmetrical about the location and reference direction. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartLocation ()
 Returns the start location along the centerline for this segment. More...
 
bool Symmetry ()
 Returns the value identifying that the male width is symmetrical about the location and reference direction. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Segment builder for Die Engineering draw bead.

The segment is defined along the centerline by either a single point (and then the next segment) or 2 end points along the segment.
To create a new instance of this class, use NXOpen::Die::DrawBeadBuilder::CreateDrawBeadSegment

Created in NX7.5.0.

Member Enumeration Documentation

value for how the male width is specified.

Enumerator
MaleBeadWidthTypesConstant 

The male bead width is specified by a constant value.

MaleBeadWidthTypesDerived 

The male bead width is derived from the width specified for the female.

Member Function Documentation

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DrawBeadSegmentBuilder::EndLocation ( )

Returns the end location along the centerline for this segment.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::FemaleLeftRadius ( )

Returns the expression containing the female left radius value.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::FemaleRightRadius ( )

Returns the expression containing the female right radius value.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadSegmentBuilder::Flow ( )

Returns the value identifying if the segment is of flow type (the top radius is half the width).

Only allowed if the bead is symmetric.
Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadHeight ( )

Returns the expression containing the male bead height value.

The height is measured from the centerline to the top of the bead.
Created in NX7.5.0.

License requirements : None

NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthType ( )

Returns the male bead width type.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftSheetRadius ( )

Returns the expression containing the male sheet radius value for the "Left" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftTopRadius ( )

Returns the expression containing the male top radius value for the "Left" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftWallAngle ( )

Returns the expression containing the male wall angle value for the "Left" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftWidth ( )

Returns the expression containing the male width value for the "left" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightSheetRadius ( )

Returns the expression containing the male sheet radius value for the "Right" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightTopRadius ( )

Returns the expression containing the male top radius value for the "Right" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightWallAngle ( )

Returns the expression containing the male wall angle value for the "Right" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightWidth ( )

Returns the expression containing the male width value for the "Right" side.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleTransitionLength ( )

Returns the expression containing the male transition length value.

The transition length is between bead segments.
Created in NX7.5.0.

License requirements : None

void NXOpen::Die::DrawBeadSegmentBuilder::SetFlow ( bool  flow)

Sets the value identifying if the segment is of flow type (the top radius is half the width).

Only allowed if the bead is symmetric.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
flowflow
void NXOpen::Die::DrawBeadSegmentBuilder::SetMaleBeadWidthType ( NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes  maleBeadWidthType)

Sets the male bead width type.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
maleBeadWidthTypemalebeadwidthtype
void NXOpen::Die::DrawBeadSegmentBuilder::SetSymmetry ( bool  symmetry)

Sets the value identifying that the male width is symmetrical about the location and reference direction.

True indictaes that it is symmetrical.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
symmetrysymmetry
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DrawBeadSegmentBuilder::StartLocation ( )

Returns the start location along the centerline for this segment.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DrawBeadSegmentBuilder::Symmetry ( )

Returns the value identifying that the male width is symmetrical about the location and reference direction.

True indictaes that it is symmetrical.
Created in NX7.5.0.

License requirements : None

virtual bool NXOpen::Die::DrawBeadSegmentBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.